package src.AverageCounter;

import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.*;
import org.apache.hadoop.mapred.*;

public class AverageCounterDriver {
    public static void main(String[] args) {
        JobClient client = new JobClient();

        JobConf jobConfiguration = new JobConf(AverageCounterDriver.class);

        jobConfiguration.setJobName("AverageCounter");

        jobConfiguration.setOutputKeyClass(Text.class);
        jobConfiguration.setOutputValueClass(IntWritable.class);

        jobConfiguration.setMapperClass(AverageCounterMapper.class);
        jobConfiguration.setReducerClass(AverageCounterReducer.class);

        jobConfiguration.setInputFormat(TextInputFormat.class);
        jobConfiguration.setOutputFormat(TextOutputFormat.class);

        FileInputFormat.setInputPaths(jobConfiguration, new Path(args[0]));
        FileOutputFormat.setOutputPath(jobConfiguration, new Path(args[1]));

        client.setConf(jobConfiguration);
        try {
            JobClient.runJob(jobConfiguration);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
