package src.AverageCounter;

import java.io.IOException;
import java.util.*;

import org.apache.hadoop.io.FloatWritable;
import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.*;

class AverageCounterReducer extends MapReduceBase implements Reducer<Text, IntWritable, Text, FloatWritable>  {
    public void reduce(Text key, Iterator<IntWritable> values, OutputCollector<Text,FloatWritable> output, Reporter reporter) throws IOException {
		int total = 0;
		int count = 0;
		while (values.hasNext()) {
			IntWritable value = (IntWritable) values.next();
			total += value.get();
			count++;
		}
		output.collect(key, new FloatWritable(((float) total) / count));
	}
}
