package src.TopTenFilter;

import org.apache.hadoop.fs.Path;
import org.apache.hadoop.io.*;
import org.apache.hadoop.mapred.*;

public class TopTenFilterDriver {
    public static void main(String[] args) {
        JobClient client = new JobClient();

        JobConf jobConfiguration = new JobConf(TopTenFilterDriver.class);

        jobConfiguration.setJobName("TopTenFilter");

        jobConfiguration.setOutputKeyClass(Text.class);
        jobConfiguration.setMapOutputValueClass(Text.class);

        jobConfiguration.setMapperClass(TopTenFilterMapper.class);
        jobConfiguration.setReducerClass(TopTenFilterReducer.class);

        jobConfiguration.setInputFormat(TextInputFormat.class);
        jobConfiguration.setOutputFormat(TextOutputFormat.class);

        FileInputFormat.setInputPaths(jobConfiguration, new Path(args[0]));
        FileOutputFormat.setOutputPath(jobConfiguration, new Path(args[1]));

        client.setConf(jobConfiguration);
        try {
            JobClient.runJob(jobConfiguration);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
