package src.TopTenFilter;

import java.io.IOException;
import java.util.*;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.*;

class TopTenFilterReducer extends MapReduceBase implements Reducer<Text, Text, Text, Integer>  {
    public void reduce(Text key, Iterator<Text> values, OutputCollector<Text, Integer> output, Reporter reporter) throws IOException {
		ArrayList<Tuple> tuples = new ArrayList<>();
		while (values.hasNext()) {
			Text value = (Text) values.next();
			String[] split = value.toString().split(",");
			Tuple tuple = new Tuple(new Text(split[0]), new IntWritable(Integer.parseInt(split[1])));
			tuples.add(tuple);
		}
		Collections.sort(
			tuples,
			(o1, o2) -> o1.compare(o2)
		);
		for (Integer i = 0; i < 10; i++) {
			output.collect(new Text(i.toString() + " " + tuples.get(i).x), tuples.get(i).y.get());
		}
	}
}
