package src.WordCounter;

import java.io.IOException;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.*;

class WordCounterMapper extends MapReduceBase implements Mapper<LongWritable, Text, Text, IntWritable> {
    private final static IntWritable one = new IntWritable(1);

    public void map(LongWritable key, Text value, OutputCollector <Text, IntWritable> output, Reporter reporter) throws IOException {
        String fileContent = value.toString();
        String[] words = fileContent.split(",");
        for (int i = 0; i < words.length; i++) {
            output.collect(new Text(words[i]), one);
        }
    }
}
